HttpMessage::guessContentType
HttpMessage::reverse
The HttpMessage class
PHP Manual

# HttpMessage::prepend

(PECL pecl_http:0.22.0-1.5.5)

HttpMessage::prepend — Prepend message(s)

### Description

public void HttpMessage::prepend ( HttpMessage `$message` [, bool `$top = TRUE` ] )

Prepends message(s) to the HTTP message.

### Parameters

`message`

  HttpMessage object to prepend

`top`

  whether to prepend to the top most or right this message

### Errors/Exceptions

Throws HttpInvalidParamException if the message is located within the same message chain.

HttpMessage::guessContentType
HttpMessage::reverse
The HttpMessage class
PHP Manual